Update a Record

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported Regions and Base URLs

👍

Access and Registration

Authentication

Scope

record-lists:manage

Request Body (required)

[
  {
    "op": "replace",
    "path": "/priority",
    "value": 6
  },
  {
    "op": "add",
    "path": "/extra_data/home",
    "value": "USA"
  },
  {
    "op": "replace",
    "path": "/extra_data/name",
    "value": "Jerry"
  }
]

Body Schema - Response

200 (record updated)

ParameterTypeDescriptionRequired
idstringrecord IDno
record_list_idstringrecord list IDno
phone_numberstringPhone number of the record (required if the phone_numbers field is not present)deprecated
phone_numbersarray[object]

List of phone numbers of the record (required if the phone_numbers field is not present).

= 1 items

"phone_numbers" subdivides into:

1 - "phone_number" (string) - record phone number.

= 1 characters
<= 20 characters Required.

2 - "phone_type" (string) - the type of the phone number

= 4 characters
<= 7 characters
Allowed values: "HOME",
"OFFICE", "MOBILE",
"EXTRA_1", "EXTRA_2",
"EXTRA_3". Required.

yes
first_namestring

First name of the record.

= 1 characters
<= 80 characters

yes
last_namestring

Last name of the record.

= 1 characters
<= 80 characters

yes
timezonestring

Timezone of the record.

= 1 characters
<= 35 characters

no
priorityinteger

Priority of the record within the record list.

= 1
<= 10

no
extra_dataobjectextra data of the recordno
external_providerstringreference for external provider sourceno
external_idstringunique identifier for resource in external sourceno
external_urlstringresource location in external sourceno
sync_external_idbooleansync external ID with contactsno
created_atstringrecord creation dateno
updated_atstringrecord udpate dateno
_linksobject

"_links" subdivides into:

1 - "self" (object)
1.1 - "href" (string). Required.

no

400 (bad request), 401 (unauthorized), 403 (forbidden), 404 (record list not found), 422 (unprocessable record)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

📘

Body Response

The parameters from the body response are part of an array.

Path Params
string
required
string
required
Body Params
string
required
string
required
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json